# deepcore_server
A server that runs object detection models

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.3.2-SNAPSHOT
- Package version: 1.3.2-SNAPSHOT
- Build package: io.swagger.codegen.languages.PythonClientCodegen
For more information, please visit [http://deepcore.io](http://deepcore.io)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import deepcore_server 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import deepcore_server
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import deepcore_server
from deepcore_server.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = deepcore_server.ConfigApi(deepcore_server.ApiClient(configuration))

try:
    # Gets the server configuration
    api_instance.get_config()
except ApiException as e:
    print("Exception when calling ConfigApi->get_config: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ConfigApi* | [**get_config**](docs/ConfigApi.md#get_config) | **GET** /config | Gets the server configuration
*ConfigApi* | [**get_version**](docs/ConfigApi.md#get_version) | **GET** /config/version | Gets the server version information
*ConfigApi* | [**patch_config**](docs/ConfigApi.md#patch_config) | **PATCH** /config | Modify the server configuration
*ConfigApi* | [**set_config**](docs/ConfigApi.md#set_config) | **PUT** /config | Sets the server configuration
*JobApi* | [**cancel_job**](docs/JobApi.md#cancel_job) | **DELETE** /job/{jobId}/process | Cancel a job
*JobApi* | [**delete_job**](docs/JobApi.md#delete_job) | **DELETE** /job/{jobId} | Remove a job, stopping it if necessary.
*JobApi* | [**get_job**](docs/JobApi.md#get_job) | **GET** /job/{jobId} | Get information about a job
*JobApi* | [**get_job_status**](docs/JobApi.md#get_job_status) | **GET** /job/{jobId}/status | Get status of a job
*JobApi* | [**get_log**](docs/JobApi.md#get_log) | **GET** /job/{jobId}/log | Get the job log
*JobApi* | [**get_result**](docs/JobApi.md#get_result) | **GET** /job/{jobId}/result | Get the detection results
*JobApi* | [**list_jobs**](docs/JobApi.md#list_jobs) | **GET** /jobs | Lists current jobs
*JobApi* | [**start_job**](docs/JobApi.md#start_job) | **POST** /jobs | Create a new job
*ModelApi* | [**add_model**](docs/ModelApi.md#add_model) | **POST** /models | Add a new model
*ModelApi* | [**delete_model**](docs/ModelApi.md#delete_model) | **DELETE** /model/{modelId} | Delete a model
*ModelApi* | [**get_model**](docs/ModelApi.md#get_model) | **GET** /model/{modelId} | Get model metadata
*ModelApi* | [**list_models**](docs/ModelApi.md#list_models) | **GET** /models | Lists available models or add new ones
*RunnerApi* | [**delete_runner**](docs/RunnerApi.md#delete_runner) | **DELETE** /runner/{runnerId} | Delete a job runner and logs, stopping it if necessary
*RunnerApi* | [**get_capacity**](docs/RunnerApi.md#get_capacity) | **GET** /runners/capacity | Maximum number of runners
*RunnerApi* | [**get_log**](docs/RunnerApi.md#get_log) | **GET** /runner/{runnerId}/log | Get the runner log
*RunnerApi* | [**get_runner**](docs/RunnerApi.md#get_runner) | **GET** /runner/{runnerId} | Get status of a job runner
*RunnerApi* | [**list_runners**](docs/RunnerApi.md#list_runners) | **GET** /runners | Lists job runners
*RunnerApi* | [**shutdown_runner**](docs/RunnerApi.md#shutdown_runner) | **DELETE** /runner/{runnerId}/process | Shutdown a job runner


## Documentation For Models

 - [ColorMode](docs/ColorMode.md)
 - [Error](docs/Error.md)
 - [IdList](docs/IdList.md)
 - [Image](docs/Image.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [JobRequest](docs/JobRequest.md)
 - [JobStatus](docs/JobStatus.md)
 - [LabelFilter](docs/LabelFilter.md)
 - [LatLonBoundingBox](docs/LatLonBoundingBox.md)
 - [LatLonCoord](docs/LatLonCoord.md)
 - [Message](docs/Message.md)
 - [ModelMetadata](docs/ModelMetadata.md)
 - [Point](docs/Point.md)
 - [R2PProperties](docs/R2PProperties.md)
 - [RunnerRequest](docs/RunnerRequest.md)
 - [RunnerStatus](docs/RunnerStatus.md)
 - [ServiceVersion](docs/ServiceVersion.md)
 - [Size](docs/Size.md)
 - [SizeStep](docs/SizeStep.md)
 - [Version](docs/Version.md)
 - [CreatedMessage](docs/CreatedMessage.md)
 - [DeletedMessage](docs/DeletedMessage.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author

deepcore-support@digitalglobe.com

